package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

public class SpecialFactorsInfo extends ExternalComponent {


	private static final long serialVersionUID = -2978408155939002561L;

	//ZEL/18/Z11
	private Boolean agentOrangeInd;

	//C13526: added Camp Lejeune CL indicator
	private Boolean campLejeuneInd;

	//ZEL/29/Z11
	private String agentOrangeLocation;

	//ZEL/19/Z11
	private Boolean radiationExposureInd;

	//ZEL/22/Z11
	private String radiationExposureMethod;
	//ZEL/20/Z11
	private Boolean envContaminantsInd;

	public Boolean getAgentOrangeInd() {
		return agentOrangeInd;
	}
	public void setAgentOrangeInd(Boolean agentOrangeInd) {
		this.agentOrangeInd = agentOrangeInd;
	}
    public Boolean getCampLejeuneInd() {
            return campLejeuneInd;
        }
    public void setCampLejeuneInd(Boolean campLejeuneInd) {
        this.campLejeuneInd = campLejeuneInd;
    }
	public Boolean getEnvContaminantsInd() {
		return envContaminantsInd;
	}
	public void setEnvContaminantsInd(Boolean envContaminantsInd) {
		this.envContaminantsInd = envContaminantsInd;
	}
	public Boolean getRadiationExposureInd() {
		return radiationExposureInd;
	}
	public void setRadiationExposureInd(Boolean radiationExposureInd) {
		this.radiationExposureInd = radiationExposureInd;
	}
	public String getRadiationExposureMethod() {
		return radiationExposureMethod;
	}
	public void setRadiationExposureMethod(String radiationExposureMethod) {
		this.radiationExposureMethod = radiationExposureMethod;
	}
	public String getAgentOrangeLocation() {
		return agentOrangeLocation;
	}
	public void setAgentOrangeLocation(String agentOrangeLocation) {
		this.agentOrangeLocation = agentOrangeLocation;
	}
}
